Is PSE 2021 compatible with macOS Catalina?

New Here ,
Oct 14, 2020

Copy link to clipboard

Copied

Hi there,

Have a big prob. I have bought IMAC Catalina and found out that is does not compatible with my adobe photoshop elements 2019... Is PS Elements 2021 compatible with Catalina or not?    Please help. Thanks in advance

 

Title edited by Mod

Thread moved from PRE community

TOPICS
Mac

Views

41

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
shivangg LATEST
Adobe Employee ,
Oct 21, 2020

Copy link to clipboard

Copied

Hi there,

Thanks for writing in. PSE 2021 is compatible with macOS 10.14 and higher. You can get more from information from this article. Check it out: https://helpx.adobe.com/photoshop-elements/system-requirements.html

 

Let us know if you have more questions.

Regards,

Shivangi

 

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more